<template>
    <div class="flex flex-col">
        <v-card>
            <v-card-title class="mb-0" v-if="title">{{ title }}</v-card-title>

            <v-table class="w-full relative">
                <tbody v-if="items">
                    <tr v-for="item in items" :key="item.title">
                        <td class="font-semibold font-base w-[250px]">{{ item.title }}</td>
                        <td>{{ item.value }}</td>
                    </tr>
                </tbody>
            </v-table>
        </v-card>
    </div>
</template>

<script setup lang="ts">
const props = defineProps({
    title: String,
    items: Object,
});
</script>
